petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGetResidualNorm

Gets the last (approximate preconditioned) residual norm that has been computed.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetResidualNorm(KSP ksp,PetscReal *rnorm)

Not Collective

### Input Parameters

ksp -the iterative context

### Output Parameters

rnorm -residual norm

### Keywords

KSP, get, residual norm

### See Also

KSPBuildResidual()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages